# DataProfileViewer

Data profile viewer is compatible with Jupyter Notebooks. Supports the metadata format generated by [datamart-profiler](https://docs.auctus.vida-nyu.org/python/datamart-profiler.html#) library.

![System screen](https://github.com/soniacq/DataProfileVis/blob/master/imgs/data_profile_viewer.png)

## Install via pip

~~~~
pip install data-profile-viewer
pip install datamart-profiler
~~~~

## Demo

In Jupyter Notebook:
~~~~
import DataProfileViewer
data = DataProfileViewer.get_lifeexpectancy_data()
DataProfileViewer.plot_profiler(data)
~~~~

## Data Profile Exploration

~~~~
import DataProfileViewer
import datamart_profiler
~~~~

In a jupyter notebook, load the data

~~~~
metadata = datamart_profiler.process_dataset('lifeexpectancydata.csv', include_sample=True, plots=True)
~~~~

and then plot it using:

~~~~
DataProfileViewer.plot_profiler(metadata)
~~~~
